:root{
    --win-color:#e46a76;
}

.input-form {
    background-color: var(--color-white);
    box-shadow: 0 4px 10px 0 rgb(0 0 0 / 20%), 0 4px 20px 0 rgb(0 0 0 / 19%);
    padding: 1em 1em;
    margin-top: 1em;
    margin-bottom: 1em;
}
.input-form span, label {
    font-size: 0.8em;
    color: var(--secondary-text);
}
.input-text-01 {
    display: block;
    padding: 8px;
    border: none;
    width: 100%;
    border-bottom: 1px solid var(--divider-color);
    margin-bottom: 1em;
}

.player-wrap {
    margin-top: 36px;
}

.players {
    margin-top: 30px;
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.progress-bar {
    width: 100%;
    height: 5px;
    background-color: #eee;
    margin: 50px 50px 50px 20px;
    position: relative;
}

.progress-bar:last-child {
    margin-bottom: 24px;
}

.progress-bar-inner {
    height: 100%;
    background-color: var(--primary-dark-color)/*#3498db*/;
    width: 0%;
}

.progress-bar-point {
    position: relative;
    display: inline-block;
    background: #ffffff;
    border: 4px solid var(--accent-color)/*#f1c40f*/;
    top: -62px;
    left: -24px;
    padding: 3px;
    border-radius: 5px;
    min-width: 50px;
    min-height: 21px;
}

.progress-bar-point:after, .progress-bar-point:before {
    top: 100%;
    left: 18px;
    border: solid transparent;
    content: "";
    height: 0;
    width: 0;
    position: absolute;
    pointer-events: none;
}

.progress-bar-point:after {
    border-color: rgba(136, 183, 213, 0);
    border-top-color: #ffffff;
    border-width: 12px;
    margin-left: -12px;
}
.progress-bar-point:before {
    border-color: rgba(194, 225, 245, 0);
    border-top-color: var(--accent-color)/*#f1c40f*/;
    border-width: 18px;
    margin-left: -18px;
}

.player-nick {
    font-size: 12px;
    font-weight: bold;
}

.player-icon {
    font-size: 20px;
}

.result-badges{
    position: absolute;
    top: -22px;
    left: -8px;
    width: 40px;
    height: 0px;
    border: 13px solid var(--primary-color);
    border-right: 0;
    border-right: 10px solid transparent;
    line-height: 0;
    color: white;
    z-index: 1;
    -webkit-filter: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.3));
    filter: drop-shadow(0 1px 2px rgba(0, 0, 0, 0.3));
    /*letter-spacing: 3px;*/
    display: none;

}
.result-badges span{
    position: relative;
    margin-left: -5px;
    font-size: 14px;
}

.result-badges.win{
    border: 13px solid var(--win-color);
    border-right: 0;
    border-right: 10px solid transparent;
}

.btn-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    margin-top: 16px;
}

.btn-wrapper button {
    width: 100px;
    height: 30px;
    font-size: 0.9em;
    border: 2px solid gray;
    border-radius: 5px;
    background-color: #ffffff;
    color: #000000;
    cursor: pointer;
}

.result {
    margin-top: 1em;
    margin-bottom: 1em;
    padding: 1em 1em;
}

.result-player {
    display: grid;
    grid-template-columns: 30px 30px 1fr ;
    margin-bottom: 1em;
    font-size: 12px;
    font-weight: bold;
    gap: 20px;
    height: 30px;
    border: 2px solid var(--primary-color);
    border-radius: 5px;
    padding-left: 5px;
    align-items: center;
}

.result-player .result-icon {
    font-size: 16px;
    color: var(--win-color);
}